--- /usr/lib/ruby/vendor_ruby/fog/libvirt/models/compute/server.rb.orig	2016-05-09 14:59:04.120007569 +0200
+++ /usr/lib/ruby/vendor_ruby/fog/libvirt/models/compute/server.rb	2016-05-09 15:03:33.908634978 +0200
@@ -418,6 +418,10 @@
           }
         end
 
+        def valid_boot_media
+          %w[cdrom fd hd network]          
+        end
+
         def default_boot_order
           %w[hd cdrom network]
         end
@@ -425,7 +429,7 @@
         def verify_boot_order order = []
           if order
             order.each do |b|
-              raise "invalid boot order, possible values are: hd, network and/or cdrom" unless default_boot_order.include?(b)
+              raise "invalid boot order, possible values are any combination of: #{valid_boot_media.join(', ')}" unless valid_boot_media.include?(b)
             end
           end
         end
